Deposits
Get on-chain deposits
GET
/account/deposits/on-chainPrivateGet your on-chain deposits, optionally filtered by status, with their confirmations. Paginated, newest first.
Permissions: account:deposits:read
from?stringStart date, unix epoch 0 by default
Format
date-timeDefault
"1970-01-01T00:00:00.000Z"to?stringEnd date, default to current time
Format
date-timeDefault
"2026-11-09T17:08:56.660Z"limit?integerNumber of entries to return, default to 1000
Range
1 <= value <= 1000Default
1000cursor?stringCursor for pagination
Format
date-timestatus?stringFilter by status
Value in
"MEMPOOL""CONFIRMED""IRREVERSIBLE""under_review""not_credited""on_hold"OK
application/json- response
data*array<|||||>nextCursor*|Cursor to use for fetching the next page of results. Pass this value as the cursor parameter in the next request. Returns null when there are no more results.
import { createHttpClient } from '@ln-markets/sdk/rest/v3'
const client = createHttpClient({
key: 'your-key',
secret: 'your-secret',
passphrase: 'your-passphrase',
})
const result = await client.account.getOnChainDeposits({
from: '1970-01-01T00:00:00.000Z',
to: '2026-11-09T17:08:56.136Z',
limit: 500,
status: 'MEMPOOL'
}){
"data": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"amount": 0,
"txId": "string",
"status": "MEMPOOL",
"blockHeight": null,
"confirmations": 0,
"createdAt": "2019-08-24T14:15:22Z"
}
],
"nextCursor": "2024-01-15T10:30:00.000Z"
}